/*
 * libdtmfr2 - a library for DTMF/R2 signaling on E1 lines
 *
 * libdtmfr2.h
 *
 * Written by Steve Underwood <steveu@coppice.org>
 *
 * Copyright (C) 2002 Steve Underwood
 *
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: libdtmfr2.h,v 1.2 2005/12/10 14:48:48 steveu Exp $
 */

/*! \file */

#if !defined(_LIBDTMFR2_H_)
#define _LIBDTMFR2_H_

typedef struct dtmfr2_signaling_state_s dtmfr2_signaling_state_t;

enum
{
    DTMFR2_PROTOCOL_FAIL_UNEXPECTED_DTMF_SIGNAL  = 0x8004,
    DTMFR2_PROTOCOL_FAIL_UNEXPECTED_CAS          = 0x8005,
    DTMFR2_PROTOCOL_FAIL_INVALID_STATE           = 0x8006,
    DTMFR2_PROTOCOL_FAIL_SET_CAS_FAILURE         = 0x8007,
    DTMFR2_PROTOCOL_FAIL_SEIZE_ACK_TIMEOUT       = 0x8008,
    DTMFR2_PROTOCOL_FAIL_DEVICE_IO_ERROR         = 0x8009
};

#endif
